<?php
add_action('admin_init', function () {
    if (current_user_can('install_plugins') && (!defined('CITADELA_PRO_PLUGIN') || (!Citadela::$business && !defined('CITADELA_DIRECTORY_PLUGIN')))) {
        add_action('admin_notices', function () {?>
            <div id="citadela-installation" class="notice">
                <p class="notice-info"><?php
                    if (Citadela::$trial) {
                        _e('You can test a full version of premium Citadela features for free.', 'citadela');
                    } else if (Citadela::$business) {
                        _e('Install Citadela Pro plugin.', 'citadela');
                    } else {
                        _e('Install premium Citadela plugins.', 'citadela');
                    }
                ?></p>
                <p class="notice-buttons">
                    <a href="<?php echo admin_url("admin-ajax.php?action=citadela-installation"); ?>" class="citadela-installation"><?php echo Citadela::$trial ? __('Install premium Citadela plugins', 'citadela') : __('Install', 'citadela'); ?></a> <strong class="citadela-installation-notice citadela-installation-progress"><?php _e('Installing...', 'citadela'); ?></strong> <strong class="citadela-installation-notice citadela-installation-error"><?php _e('Error with installing', 'citadela'); ?></strong>
                </p>
            </div>
            <div id="citadela-installation-success" class="citadela-installation-notice notice notice-success is-dismissible">
                <p>
                    <?php echo Citadela::$business ? _e('Citadela Pro plugin installed.', 'citadela') : _e('Premium Citadela plugins installed.', 'citadela'); ?>
                </p>
            </div>
            <?php
        });
        add_action('wp_ajax_citadela-installation', function () {
            try {
                $plugins['pro'] = 'Pro';
                if (!Citadela::$business) {
                    $plugins['directory'] = 'Listing';
                }
                foreach ($plugins as $key => $value) {
                    Citadela::installAndActivatePlugin("citadela-$key");
                }
            } catch (Exception $exception) {
                wp_send_json_error(isset($exception->response) ? Citadela::getResponseMessage($exception->response) : []);
            }
            wp_send_json_success(['redirect' => admin_url('admin.php?page=citadela-pro-settings&tab=layouts')]);
        });
    }
});